﻿-- ////////////////
-- Commande SLASH
-- ////////////////
SLASH_ATA1 = '/ata';
local function AtaCommand(msg, editbox)
	listeHF = 0;
	if msg == 'clean' then CleanTrackList()
	elseif msg == 'check' then CheckBestRaid()
	elseif msg == 'help' or msg == '' then
		print("AtA commands :");
		print("/ata {onyxia/archavon/malygos/sartha/naxx/ulduar/coliseum/icc}{10/25}");
		print("/ata {bwd,bot,tfw,firelands,ds}");
		print(ata_check);
	elseif msg == 'config' then
		AutoTrackerAchievement:Show();
		if AutoTrackerAchievementDB["Arena"] == true then AutoTrackerAchievement_CheckButton1:SetChecked(true); end
		if AutoTrackerAchievementDB["Raid"] == true then AutoTrackerAchievement_CheckButton2:SetChecked(true); end
		if AutoTrackerAchievementDB["Region"] == true then AutoTrackerAchievement_CheckButton3:SetChecked(true); end
		if AutoTrackerAchievementDB["Donjon"] == true then AutoTrackerAchievement_CheckButton4:SetChecked(true); end
		if AutoTrackerAchievementDB["defaut"] == true then AutoTrackerAchievement_CheckButton5:SetChecked(true); end
	elseif msg == 'reset' then AutoTrackerAchievementDB = AutoTrackerAchievementDB_Defaut;
	elseif string.find(msg, 'save ') == 1 then SaveTrackList(msg);
	elseif string.find(msg, 'load ') == 1 then LoadTrackList(msg);
	elseif string.find(msg, 'defaut ') == 1 then DefautTrackList(msg);
	elseif string.find(msg, 'delete ') == 1 then DeleteTrackList(msg);
	elseif msg == 'test' then
		for i,v in pairs(AutoTrackerAchievementDB) do
		if v ~= 0 then print(i,v) end
		end	
	elseif msg == 'get' then AtaMainFunction()
	else
		listeHF = RaidListe(msg);
		if listeHF ~= 0 then
		CleanTrackList()
		AchievListTable(listeHF)
		else
		print(erreur_command);
		end
	end	
end
SlashCmdList["ATA"] = AtaCommand;

-- ////////////////
-- Variables
-- ////////////////
local AutoTrackerAchievementDB_Defaut = {
["Arena"] = true,
["Raid"] = true,
["Region"] = true,
["Donjon"] = true,
["defaut"] = true,
["defautliste"] = "",
["Favoris"] = {},
["lang"] = "",
["debug"] = false,
["version"] = 4.1,
}

-- ////////////////
-- Fonctions XML
-- ////////////////
function CheckButton1_OnClick() -- Arena
if AutoTrackerAchievementDB["Arena"] == true then AutoTrackerAchievementDB["Arena"] = false
else AutoTrackerAchievementDB["Arena"] = true end
if AutoTrackerAchievementDB["debug"] == true then print("Arena",AutoTrackerAchievementDB["Arena"]); end
end
function CheckButton2_OnClick() -- Raid
if AutoTrackerAchievementDB["Raid"] == true then AutoTrackerAchievementDB["Raid"] = false
else AutoTrackerAchievementDB["Raid"] = true end
if AutoTrackerAchievementDB["debug"] == true then print("Raids",AutoTrackerAchievementDB["Raid"]); end
end
function CheckButton3_OnClick() -- Region
if AutoTrackerAchievementDB["Region"] == true then AutoTrackerAchievementDB["Region"] = false
else AutoTrackerAchievementDB["Region"] = true end
if AutoTrackerAchievementDB["debug"] == true then print("Region",AutoTrackerAchievementDB["Region"]); end
end
function CheckButton4_OnClick() -- Donjon
if AutoTrackerAchievementDB["Donjon"] == true then AutoTrackerAchievementDB["Donjon"] = false
else AutoTrackerAchievementDB["Donjon"] = true end
if AutoTrackerAchievementDB["debug"] == true then print("Donjon",AutoTrackerAchievementDB["Donjon"]); end
end
function CheckButton5_OnClick() -- défaut
if AutoTrackerAchievementDB["defaut"] == true then AutoTrackerAchievementDB["defaut"] = false
else AutoTrackerAchievementDB["defaut"] = true end
if AutoTrackerAchievementDB["debug"] == true then print("defaut",AutoTrackerAchievementDB["defaut"]); end
end
function Button1_OnClick()
AutoTrackerAchievement:Hide();
end
function Button2_OnClick()
if AutoTrackerAchievementDB["debug"] == true then print("Reset"); end
AutoTrackerAchievementDB = AutoTrackerAchievementDB_Defaut;
end
function Button3_OnClick()
if AutoTrackerAchievementDB["debug"] == true then print("Save"); end
AutoTrackerAchievementDB["defautliste"] = le_texte
end

-- ////////////////
-- Processus passif
-- ////////////////

local function eventHandler(self, event, ...)
	if event == "VARIABLES_LOADED" then
		if AutoTrackerAchievementDB == nil then
			AutoTrackerAchievementDB = AutoTrackerAchievementDB_Defaut;
			print(creation_variables);
		elseif AutoTrackerAchievementDB["version"] == nil or AutoTrackerAchievementDB["version"] < AutoTrackerAchievementDB_Defaut["version"] then
			AutoTrackerAchievementDB_Old = AutoTrackerAchievementDB
			AutoTrackerAchievementDB = AutoTrackerAchievementDB_Defaut
			-- insérer une restauration des données
			for i1,v1 in pairs(AutoTrackerAchievementDB) do
				for i2,v2 in pairs(AutoTrackerAchievementDB_Old) do
				if v1 ~= 0 and i1 == i2 then AutoTrackerAchievementDB[i1] = AutoTrackerAchievementDB_Old[i1] end
				end
			end
			
			
			print(update_variables);
		end
		
		name, realm = UnitName("player")
		if name == "Garikover" then 
		AutoTrackerAchievementDB["debug"] = true
		print("Ata Debug mode : OK");
		end
		
		AutoTrackerAchievementDB["lang"] = "frFR"
		AtaLocalisation(AutoTrackerAchievementDB["lang"]);
		
		AutoTrackerAchievement_Titre = "Ata 4.0"		
	end
	
	if event == "ZONE_CHANGED_NEW_AREA" then
		-- infos de base
		CleanTrackList()
		IdZone = GetCurrentMapAreaID();
		if AutoTrackerAchievementDB["debug"] == true then print("Idzone = ",IdZone); end
		-- Arene
		if CategorieListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Arena"] then AchievListCat(IdCAT)
		-- Sombrelune
		elseif IdZone == 823 and AutoTrackerAchievementDB["Region"] then AchievListCat(CategorieListe(823))
		-- Régions
		elseif RegionListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Region"] then AchievListTable(RegionListe(IdZone))
		elseif DonjonListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Donjon"] then AchievListTable(DonjonListe(IdZone))
		elseif RaidListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Raid"] then AchievListTable(RaidListe(IdZone))
		-- Zone non gérer
		elseif AutoTrackerAchievementDB["defaut"] ~= 0 then AchievListTable(AutoTrackerAchievementDB["defaut"])
		else
		if AutoTrackerAchievementDB["debug"] then print(zone_out); end
		end
	end
end

-- FONCTION DE CHARGEMENT
function AutoTrackerAchievement_OnLoad(self)
print("Achievement Tracker : OK");
self:RegisterEvent("ADDON_LOADED");
self:RegisterEvent("ZONE_CHANGED_NEW_AREA");
self:RegisterEvent("PLAYER_ENTERING_WORLD");
self:RegisterEvent("VARIABLES_LOADED");
self:SetScript("OnEvent", eventHandler);
end

-- FONCTIONS RECURRENTES
function CleanTrackList() 
	local achievlisted = {GetTrackedAchievements()};	
	for i=1,#achievlisted do
	RemoveTrackedAchievement(achievlisted[i])
	end
end

function SaveTrackList(msg)
	local achievlisted = {GetTrackedAchievements()};	
	name = string.gsub(msg, "save ", "");
	if AutoTrackerAchievementDB["debug"] == true and name ~= "" then
	print("Sauvegarde : " .. name);
	AutoTrackerAchievementDB["Favoris"][name] = achievlisted;
	elseif name ~= "" then
	print(enregistrement_ok);
	AutoTrackerAchievementDB["Favoris"][name] = achievlisted;
	else
	print(enregistrement_erreur);
	end
end

function LoadTrackList(msg)
	name = string.gsub(msg, "load ", "");
	if AutoTrackerAchievementDB["Favoris"][name] ~= nil then
	Liste = AutoTrackerAchievementDB["Favoris"][name];
	AchievListTable(Liste);
	else
	print(erreur_load);
	end
end

function DeleteTrackList(msg)
	name = string.gsub(msg, "delete ", "")
	AutoTrackerAchievementDB["Favoris"][name] = 0
	tableau = AutoTrackerAchievementDB["Favoris"]
	NewTab = {}
end

function DefautTrackList(msg)
	name = string.gsub(msg, "defaut ", "");
	if AutoTrackerAchievementDB["Favoris"][name] ~= nil then
	Liste = AutoTrackerAchievementDB["Favoris"][name];
	else
	print(erreur_defaut);
	end
end

-- FONCTION PRINCIPALE
function AtaMainFunction()
	-- infos de base
	CleanTrackList()
	IdZone = GetCurrentMapAreaID();
	if AutoTrackerAchievementDB["debug"] == true then print("Idzone = ",IdZone); end
	-- Arene
	if CategorieListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Arena"] then AchievListCat(CategorieListe(IdZone))
	-- Sombrelune
	elseif IdZone == 823 and AutoTrackerAchievementDB["Region"] then AchievListCat(CategorieListe(823))
	-- Régions
	elseif RegionListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Region"] then AchievListTable(RegionListe(IdZone))
	elseif DonjonListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Donjon"] then AchievListTable(DonjonListe(IdZone))
	elseif RaidListe(IdZone) ~= 0 and AutoTrackerAchievementDB["Raid"] then AchievListTable(RaidListe(IdZone))
	-- Zone non gérer
	elseif AutoTrackerAchievementDB["defaut"] ~= 0 then AchievListTable(AutoTrackerAchievementDB["defaut"])
	else
	if AutoTrackerAchievementDB["debug"] then print(zone_out); end
	end
end


-- Fonction qui renvoie l'id du HF en fonction de la zone (pour les HF de quete)
function RegionListe(IdZone)
Neutral = {
	[16] = {4896,},  -- Arathi Highlands
	[17] = {4900,5444,},  -- Badlands
	[475] = {1193,1276,},  -- Blade's Edge Mountains
	[19] = {4909,},  -- Blasted Lands
	[29] = {4901,},  -- Burning Steppes
	[640] = {4871,5445,5450,5446,5447,5449,},  -- Deepholm
	[101] = {4930,},  -- Desolace
	[23] = {4892,},  -- Eastern Plaguelands
	[182] = {4931,},  -- Felwood
	[492] = {40,},    -- Icecrown
	[606] = {4870,5869,4959,5864,5868,5861,5483,5865,5862,5860,},  -- Mount Hyjal
	[479] = {1194,},  -- Netherstorm
	[37] = {4906,},  -- Northern Stranglethorn
	[28] = {4910,},  -- Searing Gorge
	[473] = {1195,},  -- Shadowmoon Valley
	[493] = {39,938,},    -- Sholazar Basin
	[261] = {4934,},  -- Silithus
	[38] = {4904,},  -- Swamp of Sorrows
	[161] = {4935,},  -- Tanaris
	[673] = {4905,},  -- The Cape of Stranglethorn
	[26] = {4897,},  -- The Hinterlands
	[495] = {38,1428,},    -- The Storm Peaks
	[61] = {4938,},  -- Thousand Needles
	[720] = {4872,4961,5317,},  -- Uldum
	[201] = {4939,},  -- Un'Goro Crater
	[22] = {4893,},  -- Western Plaguelands
	[281] = {4940,5443,},  -- Winterspring
	[467] = {1190,},  -- Zangarmarsh
	[496] = {36,1596,},    -- Zul'Drak
	[858] = {6540,},  -- Dread Wastes
	[810] = {6539,},  -- Townlong Steppes
	[811] = {7315,},  -- Vale of Eternal Blossoms
	[807] = {6301,},  -- Valley of the Four Winds
	[181]  = {5454,5547,5448,5546,}, 	-- Azshara*
	[42] = {5453,}, -- Sombrivage
	[478] = {1275,}, -- Terokkar
	[477] = {939,}, -- Nagrand
	[488] = {1277,547,}, -- Désolation des dragons
	[486] = {561,}, -- Toundra
	[613] = {4975,5452,}, -- Vashj'ir
	[700] = {5451,4960,}, -- Hautes terres du Crépuscule
	[795] = {5870,5872,5874,5859,5866,5871,5867,}, -- Front du magma
}

Alliance = {
	[43]  = {4925,},  -- Ashenvale
	[476] = {4926,},  -- Bloodmyst Isle
	[486] = {33,},    -- Borean Tundra
	[42]  = {4928,},  -- Darkshore
	[488] = {35,},    -- Dragonblight
	[34]  = {4903,},  -- Duskwood
	[141] = {4929,},  -- Dustwallow Marsh
	[121] = {4932,},  -- Feralas
	[490] = {37,},    -- Grizzly Hills
	[465] = {1189,},  -- Hellfire Peninsula
	[491] = {34,},    -- Howling Fjord
	[35]  = {4899,},  -- Loch Modan
	[477] = {1192,},  -- Nagrand
	[36]  = {4902,},  -- Redridge Mountains
	[607] = {4937,},  -- Southern Barrens
	[81]  = {4936,},  -- Stonetalon Mountains
	[478] = {1191,},  -- Terokkar Forest
	[700] = {4873,5320,5481,},  -- Twilight Highlands
	[613] = {4869,5318,},  -- Vashj'ir
	[39]  = {4903,},  -- Westfall
	[40]  = {4898,},  -- Wetlands
	[857] = {6535,},  -- Krasarang Wilds
	[809] = {6537,},  -- Kun-Lai Summit
	[806] = {6300,},  -- The Jade Forest
}

Horde = {
	[43]  = {4976,},  -- Ashenvale
	[181] = {4927,},  -- Azshara
	[486] = {1358,},  -- Borean Tundra
	[488] = {1359,},  -- Dragonblight
	[141] = {4978,},  -- Dustwallow Marsh
	[121] = {4979,},  -- Feralas
	[463] = {4908,},  -- Ghostlands
	[490] = {1357,},  -- Grizzly Hills
	[465] = {1271,},  -- Hellfire Peninsula
	[24]  = {4895,},  -- Hillsbrad Foothills
	[491] = {1356,},  -- Howling Fjord
	[477] = {1273,},  -- Nagrand
	[11]  = {4933,},  -- Northern Barrens
	[21]  = {4894,},  -- Silverpine Forest
	[607] = {4981,},  -- Southern Barrens
	[81]  = {4980,},  -- Stonetalon Mountains
	[478] = {1272,},  -- Terokkar Forest
	[700] = {5501,5482,5321,},  -- Twilight Highlands
	[613] = {4982,5319,},  -- Vashj'ir
	[857] = {6536,},  -- Krasarang Wilds
	[809] = {6538,},  -- Kun-Lai Summit
	[806] = {6534,},  -- The Jade Forest
}
	faction = UnitFactionGroup("player")
	if faction == "Alliance" then
	liste = Alliance[IdZone];
	elseif faction == "Horde" then
	liste = Horde[IdZone];
	end
	
	ListeNeutre = Neutral[IdZone];
	
	if liste ~= nil and ListeNeutre ~= nil then
		for i = 1, #liste do
		table.insert(ListeNeutre, liste[i])
		end
	elseif liste ~= nil then
		ListeNeutre = liste	
	end
	
	if ListeNeutre ~= nil then
	return ListeNeutre
	else
	return 0
	end
end

-- Fonction qui renvoie la catégorie HF en fonction de la zone (pour les HF pvp et Sombrelune)
function CategorieListe(IdZone)
-- Battleground
if IdZone == 461 then return 14802 end -- "Arathi Basin"
if IdZone == 401 then return 14801 end -- "Alterac Valley"
if IdZone == 482 then return 14803 end -- "Eye of the Storm"
if IdZone == 443 then return 14804 end -- "Warsong Gulch"
if IdZone == 512 then return 14881 end -- "Strand of the Ancients"
if IdZone == 501 then return 14901 end -- "Wintergrasp"
-- Cataclysm
if IdZone == 540 then return 15003 end -- "Isle of Conquest"
if IdZone == 736 then return 15073 end -- "Battle for Gilneas"
if IdZone == 626 then return 15074 end -- "Twin Peaks"
if IdZone == 708 then return 15075 end -- "Tol Barad"
-- Mop
if IdZone == 860 then return 15074 end -- "Mines Eclargent"
if IdZone == 865 or IdZone == 881 then return 15075 end -- "Temple de Kotmogu"
if IdZone == 899 then return 15075 end -- "Arène de l'Annihilation"

-- ARENA
if IdZone == -1 then return 165 end -- ARENA
-- Darkmoon Fair
if IdZone == 823 then return 15101 end
return 0
end

-- Fonction qui liste les HF selon la zone (raids)
function RaidListe(IdZone)
-- CONSTRUCTION BASE DE DONNEES
TableauHF = {
-- Wrath of the Lich King
["onyxia10"] = {4404,4402},
["onyxia25"] = {4407,4405},
["archavon10"] = {4016},
["archavon25"] = {4017},
["malygos10"] = {1874,2148},
["malygos25"] = {1875,2149},
["sartha10"] = {2049,2050,2051,624,2047},
["sartha25"] = {2052,2053,2054,1877,2048},
["naxx10"] = {1997,1858,1856,2178,2176,1996,2182,2146,2184,578},
["naxx25"] = {2140,1859,1857,2179,2177,2139,2183,2147,2185,579},
["ulduar10"] = {2907,2909,3056,2905,2911,2925,2927,2930,2923,2919,2933,3058,2937,2934,2931,2947,2945,2941,2940,2939,2951,2959,2953,2955,3006,3076,2961,3182,2963,2967,3176,2971,2977,2975,2973,2982,2980,3179,2989,3180,3138,3181,2996,3159,3015,3008,3012,3014,3003},
["ulduar25"] = {2908,2910,3057,2906,2912,2926,2928,2929,2924,2921,3059,2938,2936,2932,2948,2946,2944,2943,2942,2952,2960,2954,2956,3007,3077,2962,3184,2965,2968,3183,2972,2978,2976,2974,2983,2981,3187,3237,3189,2995,3188,2997,3164,3016,3010,3013,3017,3002},
["coliseum10"] = {3917,3797,3936,3996,3799,3800},
["coliseum25"] = {3916,3813,3937,3997,3815,3816},
["icc25"] = {4534,4535,4536,4537,4538,4577,4578,4582,4539,4579,4580,4581,4601},
["icc10"] = {4610,4611,4612,4613,4614,4615,4616,4617,4618,4619,4620,4622,4621},
-- Cataclysm
["bwd "] =  {5306,5309,5307,5310,5308,4849,4842},
["bot "] =  {4852,5312,5313,5311,4850},
["tfw "] =  {5304,5305,4851},
["firelands "] =  {5810,5813,5829,5821,5855,5799,5830,5802},
["ds "] =  {6174,6180,6128,6105,6133,6107,6175,6084},
-- Mists of Pandaria
["ms"] = {6455,7056,7485,6687,6823,6674,6686,},
["hof"] = {7486,6553,6937,6922,6683,6518,6936,},
["tes"] = {6824,6825,6717,6933,7487,},
}
	
	-- Wrath of the Lich-King
	difficulty = GetInstanceDifficulty();
	if difficulty == 2 or difficulty == 4 or difficulty == 25 then diff = 25 else diff = 10 end
	if IdZone == 718 and diff == 10 then Raid = "onyxia10"
	elseif IdZone == 718 and diff == 25 then Raid = "onyxia25"
	elseif IdZone == 532 and diff == 10 then Raid = "archavon10"
	elseif IdZone == 532 and diff == 25 then Raid = "archavon25"
	elseif IdZone == 527 and diff == 10 then Raid = "malygos10"
	elseif IdZone == 527 and diff == 25 then Raid = "malygos25"
	elseif IdZone == 531 and diff == 10 then Raid = "sartha10"
	elseif IdZone == 531 and diff == 25 then Raid = "sartha25"
	elseif IdZone == 535 and diff == 10 then Raid = "naxx10"
	elseif IdZone == 535 and diff == 25 then Raid = "naxx25"
	elseif IdZone == 529 and diff == 10 then Raid = "ulduar10"
	elseif IdZone == 529 and diff == 25 then Raid = "ulduar25"
	elseif IdZone == 543 and diff == 10 then Raid = "coliseum10"
	elseif IdZone == 543 and diff == 25 then Raid = "coliseum25"
	elseif IdZone == 604 and diff == 10 then Raid = "icc10"
	elseif IdZone == 604 and diff == 25 then Raid = "icc25"
	-- Cataclysm
	elseif IdZone == 754 then Raid = "bwd"
	elseif IdZone == 758 then Raid = "bot"
	elseif IdZone == 773 then Raid = "tfw"
	elseif IdZone == 800 then Raid = "firelands"
	elseif IdZone == 824 then Raid = "ds"
	-- Mists of Pandaria
	elseif IdZone == 773 then Raid = "ms"
	elseif IdZone == 800 then Raid = "hof"
	elseif IdZone == 824 then Raid = "tes"
	-- attente
	else Raid = IdZone
	end
	
	-- Retour des données
	if IdZone == 'table' then
	return TableauHF
	elseif type(Raid) == "string" and TableauHF[Raid] ~= nil then
	return TableauHF[Raid]
	else
	return 0	
	end
end

-- Fonction qui liste les HF selon la zone (donjons)
function DonjonListe(IdZone)
TableauHF = {
	-- LK
	-- CATACLYSM
	-- PANDARIE
	[876] = {6420,6400,6089,6402,},  -- Brasserie Brune d'Orage
	[877] = {6477,6472,},  -- Monastère des Pandashan
	[874] = {6929,6946,6928,},  -- Monastère Ecarlate
	[885] = {6478,6736,6713,}, -- Palais Mogu’shan
	[875] = {6476,6479,6945,}, -- Porte du Soleil couchant
	[871] = {6427,6684,}, -- Salles Écarlates
	[898] = {6397,6531,6821,6396,}, -- Scholomance
	[887] = {6822,6688,6485,}, -- Scholomance
	[867] = {6460,6475,6671,}, -- Scholomance
}

	if TableauHF[IdZone] ~= nil then
	return TableauHF[IdZone]
	else
	return 0
	end
end

-- ////////////////
-- Afficheurs
-- ////////////////

-- Print the incomplete achievements in specific category
function AchievListCat(IdCAT)
local currentlytracked = 0
local incomplete = false
id = IdCAT
for j = 1, GetCategoryNumAchievements(id) do
	aid, aname, points, completed, month, day, year, description, flags, icon, rewardText, isGuildAch = GetAchievementInfo(id,j)
	if not completed then
		-- print (GetAchievementLink(aid));
		if currentlytracked < 10 then
		AddTrackedAchievement(aid);
		currentlytracked = currentlytracked +1
		end
		incomplete = true
	end
end
return incomplete
end

-- Print the incomplete achievements in specific list and and them to the tracking list
function AchievListTable(Liste)
	local currentlytracked = 0
	local incomplete = false
	for i=1,#Liste do
		aid, aname, points, completed, month, day, year, description, flags, icon, rewardText, isGuildAch = GetAchievementInfo(Liste[i])
		if not completed then
			-- print(GetAchievementLink(aid));
				if currentlytracked < 10 then
					AddTrackedAchievement(aid);
					currentlytracked = currentlytracked +1
					end
			incomplete = true
		end
	end
	return incomplete
end

-- Trouver le raid le plus rentable en HF
function CheckBestRaid()
	Tableau = RaidListe('table');
	TableauNB = {};
	
	for i in pairs(Tableau) do
	TableauNB[i] = 0
		for j,v in pairs(Tableau[i]) do
		aid, aname, points, completed, month, day, year, description, flags, icon, rewardText, isGuildAch = GetAchievementInfo(v)
		if not completed then TableauNB[i] = TableauNB[i] + 1 end
		end
	end
	
	for i,v in pairs(TableauNB) do
		if v ~= 0 then print(i,v) end
	end
end

-- ////////////////
-- Langue
-- ////////////////

function AtaLocalisation(lang)
	if lang == "frFR" then
	erreur_load = "Pas de données enregistrées"
	enregistrement_ok = "Liste sauvegardée"
	enregistrement_erreur = "Nom de sauvegarde invalide"
	creation_variables = "Generation des variables"
	erreur_defaut = "Aucune liste existante sous ce nom"
	ata_check = "Utilisez '/ata check' pour trouver les raids avec le moins de Haut-Faits a faire."
	zone_out = "Zone sans Haut-faits"
	update_variables = "Mise à jour des options"
	erreur_command = "Commande non reconnu"
	elseif lang == "enEN" then
	erreur_load = "No data recording"
	enregistrement_ok = "Tracklist recording"
	enregistrement_erreur = "Save name error"
	creation_variables = "Generating variables"
	erreur_defaut = "No tracklist with this name"
	ata_check = "Use '/ata check' to known the raid with less complete achievements."
	zone_out = "Area without achievement"
	update_variables = "Updating options"
	erreur_command = "Unknwown command"
	end
end